{
	"patcher" : 	{
		"fileversion" : 1,
		"appversion" : 		{
			"major" : 7,
			"minor" : 3,
			"revision" : 4,
			"architecture" : "x86",
			"modernui" : 1
		}
,
		"rect" : [ 34.0, 79.0, 833.0, 313.0 ],
		"bgcolor" : [ 0.133333, 0.184314, 0.254902, 1.0 ],
		"editing_bgcolor" : [ 1.0, 1.0, 1.0, 1.0 ],
		"bglocked" : 0,
		"openinpresentation" : 0,
		"default_fontsize" : 12.0,
		"default_fontface" : 0,
		"default_fontname" : "Arial",
		"gridonopen" : 1,
		"gridsize" : [ 15.0, 15.0 ],
		"gridsnaponopen" : 1,
		"objectsnaponopen" : 1,
		"statusbarvisible" : 2,
		"toolbarvisible" : 1,
		"lefttoolbarpinned" : 0,
		"toptoolbarpinned" : 0,
		"righttoolbarpinned" : 0,
		"bottomtoolbarpinned" : 0,
		"toolbars_unpinned_last_save" : 0,
		"tallnewobj" : 0,
		"boxanimatetime" : 200,
		"enablehscroll" : 1,
		"enablevscroll" : 1,
		"devicewidth" : 0.0,
		"description" : "",
		"digest" : "",
		"tags" : "",
		"style" : "velvet",
		"subpatcher_template" : "Cardinal",
		"boxes" : [ 			{
				"box" : 				{
					"fontface" : 2,
					"id" : "obj-2",
					"linecount" : 21,
					"maxclass" : "comment",
					"numinlets" : 1,
					"numoutlets" : 0,
					"patching_rect" : [ 19.0, 20.0, 800.0, 288.0 ],
					"style" : "",
					"text" : "MMixte is a Max package to build faster a patcher for live electronics.\nIt provides a series of modules that correspond with the main parts of a concert patcher.\n\nMMixte only provides the architectural environment for a concert patcher: it contains the basic patching for midi and audio with all function distributed according with a logical order.\n\nMMixte does not contain any audio algorithm and does not work itself for any audio effect; MMixte is a tool to help you for starting the creative patching as fast as possible.\n\nAll modules contains a hard part inside a bpatcher; the send/receive objects have been located on the first level, in order to may change them as preferred and easily.\nAll modules are dramatically simple and contain only what is strictly necessary. This is a choice to make you confident that the main charge of programming is up to you and that the use of this package does not affect the experience of the true patching.\nThis is the goal of this collection: MMixte gives you the possibility to start the creative part part of patching without losing time in creating each time an architectural environment.\n\nSome modules are almost empty; it is up to your needs to fill them with your algorithms. Every module is dedicated to a part of patching; if you will take in consideration the logic that ties the modules, MMixte will help you to keep your subpatchers in good order.\n\nMMixte does not run any special object and all modules have been built using the basic library of Max.\n\n",
					"textcolor" : [ 0.937255, 0.92549, 0.807843, 1.0 ]
				}

			}
 ],
		"lines" : [  ],
		"dependency_cache" : [  ],
		"autosave" : 0
	}

}
