{
	"patcher" : 	{
		"fileversion" : 1,
		"appversion" : 		{
			"major" : 7,
			"minor" : 3,
			"revision" : 4,
			"architecture" : "x86",
			"modernui" : 1
		}
,
		"rect" : [ 123.0, 136.0, 778.0, 473.0 ],
		"bgcolor" : [ 0.133333, 0.184314, 0.254902, 1.0 ],
		"editing_bgcolor" : [ 1.0, 1.0, 1.0, 1.0 ],
		"bglocked" : 0,
		"openinpresentation" : 0,
		"default_fontsize" : 12.0,
		"default_fontface" : 0,
		"default_fontname" : "Arial",
		"gridonopen" : 1,
		"gridsize" : [ 15.0, 15.0 ],
		"gridsnaponopen" : 1,
		"objectsnaponopen" : 1,
		"statusbarvisible" : 2,
		"toolbarvisible" : 1,
		"lefttoolbarpinned" : 0,
		"toptoolbarpinned" : 0,
		"righttoolbarpinned" : 0,
		"bottomtoolbarpinned" : 0,
		"toolbars_unpinned_last_save" : 15,
		"tallnewobj" : 0,
		"boxanimatetime" : 200,
		"enablehscroll" : 1,
		"enablevscroll" : 1,
		"devicewidth" : 0.0,
		"description" : "",
		"digest" : "",
		"tags" : "",
		"style" : "velvet",
		"subpatcher_template" : "Cardinal",
		"boxes" : [ 			{
				"box" : 				{
					"bgcolor" : [ 1.0, 1.0, 1.0, 0.01 ],
					"bubble" : 1,
					"id" : "obj-9",
					"maxclass" : "comment",
					"numinlets" : 1,
					"numoutlets" : 0,
					"patching_rect" : [ 267.5, 167.0, 254.0, 24.0 ],
					"style" : "",
					"text" : "This receive refers to the live.gain~ object",
					"textcolor" : [ 0.133333, 0.184314, 0.254902, 1.0 ]
				}

			}
, 			{
				"box" : 				{
					"color" : [ 0.52549, 0.576471, 0.647059, 1.0 ],
					"fontface" : 0,
					"fontname" : "Arial",
					"fontsize" : 12.0,
					"id" : "obj-7",
					"maxclass" : "newobj",
					"numinlets" : 0,
					"numoutlets" : 1,
					"outlettype" : [ "" ],
					"patching_rect" : [ 133.0, 167.0, 124.0, 22.0 ],
					"style" : "",
					"text" : "r digitalsignal-volume",
					"textcolor" : [ 0.937255, 0.92549, 0.807843, 1.0 ]
				}

			}
, 			{
				"box" : 				{
					"bgcolor" : [ 1.0, 1.0, 1.0, 0.01 ],
					"bubble" : 1,
					"id" : "obj-6",
					"linecount" : 4,
					"maxclass" : "comment",
					"numinlets" : 1,
					"numoutlets" : 0,
					"patching_rect" : [ 176.5, 343.0, 522.0, 64.0 ],
					"style" : "",
					"text" : "Send~ rt1 and rt2 send the signal to the first two channels of the real-time volume part inside mmx.audio_output. \"Send~ lfe\" can be used for a subwoofer of for any other destination. \"Send~ lfe\" receives the sum of left and right signal with a reduction of 3 dB.\nSend~ attributes must be changed according with the audio destination desired.",
					"textcolor" : [ 0.133333, 0.184314, 0.254902, 1.0 ]
				}

			}
, 			{
				"box" : 				{
					"bgcolor" : [ 1.0, 1.0, 1.0, 0.01 ],
					"bubble" : 1,
					"id" : "obj-5",
					"linecount" : 2,
					"maxclass" : "comment",
					"numinlets" : 1,
					"numoutlets" : 0,
					"patching_rect" : [ 176.5, 231.5, 436.0, 37.0 ],
					"style" : "",
					"text" : "\"M\" button mutes and unmutes the module. When unmuted, the gain comes back to the last value selected. \"0.\" button brings the volume to 0. dB.",
					"textcolor" : [ 0.133333, 0.184314, 0.254902, 1.0 ]
				}

			}
, 			{
				"box" : 				{
					"bgcolor" : [ 1.0, 1.0, 1.0, 0.01 ],
					"bubble" : 1,
					"id" : "obj-3",
					"linecount" : 3,
					"maxclass" : "comment",
					"numinlets" : 1,
					"numoutlets" : 0,
					"patching_rect" : [ 176.5, 88.5, 403.0, 51.0 ],
					"style" : "",
					"text" : "This receives can receive 0 or 1 from the computer score. 0 unmutes, 1 mutes the module. When the module is muted, the button \"M\" within the module changes turns on.",
					"textcolor" : [ 0.133333, 0.184314, 0.254902, 1.0 ]
				}

			}
, 			{
				"box" : 				{
					"bgcolor" : [ 1.0, 1.0, 1.0, 0.01 ],
					"bubble" : 1,
					"bubblepoint" : 0.7,
					"id" : "obj-4",
					"linecount" : 3,
					"maxclass" : "comment",
					"numinlets" : 1,
					"numoutlets" : 0,
					"patching_rect" : [ 73.5, 13.0, 625.0, 51.0 ],
					"style" : "",
					"text" : "This module has been conceived to patch any sound generator different from live audio input and soundfiles. This button allows to open the subpatcher \"digital signal\" to complete with an own sound generator (wave, physical model, etc.)",
					"textcolor" : [ 0.133333, 0.184314, 0.254902, 1.0 ]
				}

			}
, 			{
				"box" : 				{
					"color" : [ 0.52549, 0.576471, 0.647059, 1.0 ],
					"fontface" : 0,
					"fontname" : "Arial",
					"fontsize" : 12.0,
					"id" : "obj-14",
					"maxclass" : "newobj",
					"numinlets" : 1,
					"numoutlets" : 0,
					"patching_rect" : [ 39.666668, 375.0, 59.0, 22.0 ],
					"style" : "",
					"text" : "send~ rt2",
					"textcolor" : [ 0.937255, 0.92549, 0.807843, 1.0 ]
				}

			}
, 			{
				"box" : 				{
					"color" : [ 0.52549, 0.576471, 0.647059, 1.0 ],
					"fontface" : 0,
					"fontname" : "Arial",
					"fontsize" : 12.0,
					"id" : "obj-13",
					"maxclass" : "newobj",
					"numinlets" : 0,
					"numoutlets" : 1,
					"outlettype" : [ "" ],
					"patching_rect" : [ 91.0, 103.0, 64.0, 22.0 ],
					"style" : "",
					"text" : "r ds_mute",
					"textcolor" : [ 0.937255, 0.92549, 0.807843, 1.0 ]
				}

			}
, 			{
				"box" : 				{
					"color" : [ 0.52549, 0.576471, 0.647059, 1.0 ],
					"fontface" : 0,
					"fontname" : "Arial",
					"fontsize" : 12.0,
					"id" : "obj-12",
					"maxclass" : "newobj",
					"numinlets" : 1,
					"numoutlets" : 0,
					"patching_rect" : [ 14.0, 338.0, 61.0, 22.0 ],
					"style" : "",
					"text" : "send~ rt1",
					"textcolor" : [ 0.937255, 0.92549, 0.807843, 1.0 ]
				}

			}
, 			{
				"box" : 				{
					"color" : [ 0.52549, 0.576471, 0.647059, 1.0 ],
					"fontface" : 0,
					"fontname" : "Arial",
					"fontsize" : 12.0,
					"id" : "obj-8",
					"maxclass" : "newobj",
					"numinlets" : 1,
					"numoutlets" : 0,
					"patching_rect" : [ 65.333336, 410.0, 68.0, 22.0 ],
					"style" : "",
					"text" : "send~ lfe",
					"textcolor" : [ 0.937255, 0.92549, 0.807843, 1.0 ]
				}

			}
, 			{
				"box" : 				{
					"annotation" : "Mute direct sound",
					"bgcolor" : [ 0.52549, 0.576471, 0.65098, 1.0 ],
					"bgoncolor" : [ 0.937255, 0.92549, 0.807843, 1.0 ],
					"id" : "obj-2",
					"legacytextcolor" : 1,
					"maxclass" : "textbutton",
					"numinlets" : 1,
					"numoutlets" : 3,
					"outlettype" : [ "", "", "int" ],
					"outputmode" : 0,
					"parameter_enable" : 0,
					"patching_rect" : [ 16.5, 43.0, 22.0, 17.0 ],
					"style" : "",
					"text" : " ",
					"textcolor" : [ 0.937255, 0.92549, 0.807843, 1.0 ],
					"texton" : "Mute on",
					"textoncolor" : [ 0.133333, 0.184314, 0.254902, 1.0 ],
					"textovercolor" : [ 0.937255, 0.92549, 0.807843, 1.0 ],
					"usebgoncolor" : 1
				}

			}
, 			{
				"box" : 				{
					"bgcolor" : [ 0.133333, 0.184314, 0.254902, 1.0 ],
					"color" : [ 0.52549, 0.576471, 0.65098, 1.0 ],
					"id" : "obj-1",
					"linecount" : 3,
					"maxclass" : "newobj",
					"numinlets" : 1,
					"numoutlets" : 2,
					"outlettype" : [ "", "" ],
					"patcher" : 					{
						"fileversion" : 1,
						"appversion" : 						{
							"major" : 7,
							"minor" : 3,
							"revision" : 4,
							"architecture" : "x86",
							"modernui" : 1
						}
,
						"rect" : [ 59.0, 103.0, 640.0, 480.0 ],
						"bgcolor" : [ 0.133333, 0.184314, 0.254902, 1.0 ],
						"editing_bgcolor" : [ 1.0, 1.0, 1.0, 1.0 ],
						"bglocked" : 0,
						"openinpresentation" : 0,
						"default_fontsize" : 12.0,
						"default_fontface" : 0,
						"default_fontname" : "Arial",
						"gridonopen" : 1,
						"gridsize" : [ 15.0, 15.0 ],
						"gridsnaponopen" : 1,
						"objectsnaponopen" : 1,
						"statusbarvisible" : 2,
						"toolbarvisible" : 1,
						"lefttoolbarpinned" : 0,
						"toptoolbarpinned" : 0,
						"righttoolbarpinned" : 0,
						"bottomtoolbarpinned" : 0,
						"toolbars_unpinned_last_save" : 0,
						"tallnewobj" : 0,
						"boxanimatetime" : 200,
						"enablehscroll" : 1,
						"enablevscroll" : 1,
						"devicewidth" : 0.0,
						"description" : "",
						"digest" : "",
						"tags" : "",
						"style" : "velvet",
						"subpatcher_template" : "Cardinal",
						"boxes" : [ 							{
								"box" : 								{
									"comment" : "",
									"id" : "obj-5",
									"index" : 2,
									"maxclass" : "outlet",
									"numinlets" : 1,
									"numoutlets" : 0,
									"patching_rect" : [ 138.0, 303.0, 30.0, 30.0 ],
									"style" : ""
								}

							}
, 							{
								"box" : 								{
									"comment" : "",
									"id" : "obj-4",
									"index" : 1,
									"maxclass" : "outlet",
									"numinlets" : 1,
									"numoutlets" : 0,
									"patching_rect" : [ 52.0, 303.0, 30.0, 30.0 ],
									"style" : ""
								}

							}
, 							{
								"box" : 								{
									"id" : "obj-71",
									"linecount" : 2,
									"maxclass" : "comment",
									"numinlets" : 1,
									"numoutlets" : 0,
									"patching_rect" : [ 52.0, 44.0, 150.0, 33.0 ],
									"presentation" : 1,
									"presentation_linecount" : 3,
									"presentation_rect" : [ 7.333333, 4.57782, 85.0, 47.0 ],
									"style" : "",
									"text" : "Patch here your digital signal",
									"textcolor" : [ 0.937255, 0.92549, 0.807843, 1.0 ]
								}

							}
, 							{
								"box" : 								{
									"id" : "obj-3",
									"maxclass" : "newobj",
									"numinlets" : 1,
									"numoutlets" : 2,
									"outlettype" : [ "", "" ],
									"patching_rect" : [ 426.0, 232.0, 69.0, 22.0 ],
									"save" : [ "#N", "thispatcher", ";", "#Q", "end", ";" ],
									"style" : "",
									"text" : "thispatcher"
								}

							}
, 							{
								"box" : 								{
									"id" : "obj-2",
									"maxclass" : "newobj",
									"numinlets" : 1,
									"numoutlets" : 1,
									"outlettype" : [ "front" ],
									"patching_rect" : [ 426.0, 193.0, 41.0, 22.0 ],
									"style" : "",
									"text" : "t front"
								}

							}
, 							{
								"box" : 								{
									"comment" : "",
									"id" : "obj-1",
									"index" : 1,
									"maxclass" : "inlet",
									"numinlets" : 0,
									"numoutlets" : 1,
									"outlettype" : [ "" ],
									"patching_rect" : [ 426.0, 138.0, 30.0, 30.0 ],
									"style" : ""
								}

							}
 ],
						"lines" : [ 							{
								"patchline" : 								{
									"destination" : [ "obj-2", 0 ],
									"source" : [ "obj-1", 0 ]
								}

							}
, 							{
								"patchline" : 								{
									"destination" : [ "obj-3", 0 ],
									"source" : [ "obj-2", 0 ]
								}

							}
 ]
					}
,
					"patching_rect" : [ 14.0, 76.0, 57.5, 49.0 ],
					"saved_object_attributes" : 					{
						"description" : "",
						"digest" : "",
						"globalpatchername" : "",
						"style" : "velvet",
						"tags" : ""
					}
,
					"style" : "",
					"text" : "p digitalsignal",
					"textcolor" : [ 0.937255, 0.92549, 0.807843, 1.0 ]
				}

			}
, 			{
				"box" : 				{
					"bgmode" : 0,
					"border" : 0,
					"clickthrough" : 0,
					"enablehscroll" : 0,
					"enablevscroll" : 0,
					"id" : "obj-10",
					"lockeddragscroll" : 0,
					"maxclass" : "bpatcher",
					"name" : "mmx.generator.maxpat",
					"numinlets" : 3,
					"numoutlets" : 4,
					"offset" : [ 0.0, 0.0 ],
					"outlettype" : [ "signal", "signal", "signal", "" ],
					"patching_rect" : [ 14.0, 143.0, 96.0, 182.0 ],
					"viewvisibility" : 1
				}

			}
 ],
		"lines" : [ 			{
				"patchline" : 				{
					"destination" : [ "obj-10", 1 ],
					"source" : [ "obj-1", 1 ]
				}

			}
, 			{
				"patchline" : 				{
					"destination" : [ "obj-10", 0 ],
					"source" : [ "obj-1", 0 ]
				}

			}
, 			{
				"patchline" : 				{
					"destination" : [ "obj-12", 0 ],
					"source" : [ "obj-10", 0 ]
				}

			}
, 			{
				"patchline" : 				{
					"destination" : [ "obj-14", 0 ],
					"source" : [ "obj-10", 1 ]
				}

			}
, 			{
				"patchline" : 				{
					"destination" : [ "obj-8", 0 ],
					"source" : [ "obj-10", 2 ]
				}

			}
, 			{
				"patchline" : 				{
					"destination" : [ "obj-10", 2 ],
					"source" : [ "obj-13", 0 ]
				}

			}
, 			{
				"patchline" : 				{
					"destination" : [ "obj-1", 0 ],
					"source" : [ "obj-2", 0 ]
				}

			}
, 			{
				"patchline" : 				{
					"destination" : [ "obj-10", 0 ],
					"midpoints" : [ 142.5, 203.0, 119.0, 203.0, 119.0, 132.0, 23.5, 132.0 ],
					"source" : [ "obj-7", 0 ]
				}

			}
 ],
		"parameters" : 		{
			"obj-10::obj-8" : [ "live.gain~[1]", "live.gain~", 0 ]
		}
,
		"dependency_cache" : [ 			{
				"name" : "mmx.generator.maxpat",
				"bootpath" : "~/Documents/Max 7/Packages/MMixte_prov/patchers",
				"patcherrelativepath" : "../patchers",
				"type" : "JSON",
				"implicit" : 1
			}
, 			{
				"name" : "!.mxo",
				"type" : "iLaX"
			}
 ],
		"autosave" : 0
	}

}
