{
	"patcher" : 	{
		"fileversion" : 1,
		"appversion" : 		{
			"major" : 7,
			"minor" : 3,
			"revision" : 4,
			"architecture" : "x86",
			"modernui" : 1
		}
,
		"rect" : [ 0.0, 114.0, 1089.0, 520.0 ],
		"bgcolor" : [ 0.133333, 0.184314, 0.254902, 1.0 ],
		"editing_bgcolor" : [ 0.133333, 0.184314, 0.254902, 1.0 ],
		"bglocked" : 0,
		"openinpresentation" : 1,
		"default_fontsize" : 12.0,
		"default_fontface" : 0,
		"default_fontname" : "Arial",
		"gridonopen" : 1,
		"gridsize" : [ 15.0, 15.0 ],
		"gridsnaponopen" : 1,
		"objectsnaponopen" : 1,
		"statusbarvisible" : 2,
		"toolbarvisible" : 1,
		"lefttoolbarpinned" : 0,
		"toptoolbarpinned" : 0,
		"righttoolbarpinned" : 0,
		"bottomtoolbarpinned" : 0,
		"toolbars_unpinned_last_save" : 15,
		"tallnewobj" : 0,
		"boxanimatetime" : 200,
		"enablehscroll" : 1,
		"enablevscroll" : 1,
		"devicewidth" : 0.0,
		"description" : "",
		"digest" : "",
		"tags" : "",
		"style" : "velvet",
		"subpatcher_template" : "Cardinal",
		"boxes" : [ 			{
				"box" : 				{
					"fontface" : 2,
					"fontsize" : 16.0,
					"id" : "obj-4",
					"linecount" : 22,
					"maxclass" : "comment",
					"numinlets" : 1,
					"numoutlets" : 0,
					"patching_rect" : [ 30.0, 82.0, 993.0, 400.0 ],
					"presentation" : 1,
					"presentation_linecount" : 22,
					"presentation_rect" : [ 24.0, 79.0, 1029.0, 400.0 ],
					"style" : "",
					"text" : "MMixte is a Max package to build faster a patcher for live electronics.\nIt provides a series of modules that correspond with the main parts for a concert patcher.\n\nMMixte only provides the architectural environment for a concert patcher: it contains the basic patching for midi and audio with all functions distributed according with a logical order.\nMMixte does not contain any audio algorithm and does not work itself for any audio effect; Mixte is a tool to help you for starting the creative patching as fast as possible.\n\nAll modules contains a hard part inside a bpatcher; the send/receive objects have been located on the first level, in order to may change them as preferred easily.\nAll modules are dramatically simple and contains only what is strictly necessary. This is a choice to make you confident that the main charge of programming is up to you, so to not give up the experience of the true patching. \nThis is the goal of this collection: MMixte gives to you the possibility to start the creative part of patching without losing time in creating the architectural environement.\n\nSome modules are almost empty: it is up to your needs to fill them with your algorithms. Every module is dedicated to a part of patching; if you will take in consideration the logic that ties the modules, MMixte will help you to keep your subpatchers in good order.\n\nMMixte does not run any special object and all modules have been built using the basic library of Max.\n\nEnjoy!\n\n",
					"textcolor" : [ 0.937255, 0.92549, 0.807843, 1.0 ],
					"varname" : "comment1"
				}

			}
, 			{
				"box" : 				{
					"fontsize" : 9.0,
					"hidden" : 1,
					"id" : "obj-3",
					"maxclass" : "newobj",
					"numinlets" : 0,
					"numoutlets" : 1,
					"outlettype" : [ "" ],
					"patcher" : 					{
						"fileversion" : 1,
						"appversion" : 						{
							"major" : 7,
							"minor" : 3,
							"revision" : 4,
							"architecture" : "x86",
							"modernui" : 1
						}
,
						"rect" : [ 59.0, 103.0, 640.0, 480.0 ],
						"bgcolor" : [ 1.0, 1.0, 1.0, 1.0 ],
						"editing_bgcolor" : [ 1.0, 1.0, 1.0, 1.0 ],
						"bglocked" : 0,
						"openinpresentation" : 0,
						"default_fontsize" : 12.0,
						"default_fontface" : 0,
						"default_fontname" : "Lato Italic",
						"gridonopen" : 1,
						"gridsize" : [ 15.0, 15.0 ],
						"gridsnaponopen" : 1,
						"objectsnaponopen" : 1,
						"statusbarvisible" : 2,
						"toolbarvisible" : 1,
						"lefttoolbarpinned" : 0,
						"toptoolbarpinned" : 0,
						"righttoolbarpinned" : 0,
						"bottomtoolbarpinned" : 0,
						"toolbars_unpinned_last_save" : 0,
						"tallnewobj" : 0,
						"boxanimatetime" : 200,
						"enablehscroll" : 1,
						"enablevscroll" : 1,
						"devicewidth" : 0.0,
						"description" : "",
						"digest" : "",
						"tags" : "",
						"style" : "",
						"subpatcher_template" : "Cardinal",
						"boxes" : [ 							{
								"box" : 								{
									"fontsize" : 8.0,
									"id" : "obj-8",
									"maxclass" : "newobj",
									"numinlets" : 1,
									"numoutlets" : 1,
									"outlettype" : [ "" ],
									"patching_rect" : [ 61.0, 224.0, 62.0, 18.0 ],
									"style" : "",
									"text" : "prepend alpha"
								}

							}
, 							{
								"box" : 								{
									"fontsize" : 8.0,
									"id" : "obj-7",
									"maxclass" : "newobj",
									"numinlets" : 3,
									"numoutlets" : 2,
									"outlettype" : [ "", "" ],
									"patching_rect" : [ 58.0, 181.0, 32.0, 18.0 ],
									"style" : "",
									"text" : "line 0."
								}

							}
, 							{
								"box" : 								{
									"fontsize" : 8.0,
									"id" : "obj-6",
									"maxclass" : "message",
									"numinlets" : 2,
									"numoutlets" : 1,
									"outlettype" : [ "" ],
									"patching_rect" : [ 56.0, 138.0, 48.0, 18.0 ],
									"style" : "",
									"text" : "0., 1. 1000"
								}

							}
, 							{
								"box" : 								{
									"fontsize" : 8.0,
									"id" : "obj-4",
									"maxclass" : "newobj",
									"numinlets" : 1,
									"numoutlets" : 1,
									"outlettype" : [ "bang" ],
									"patching_rect" : [ 50.0, 100.0, 43.0, 18.0 ],
									"style" : "",
									"text" : "loadbang"
								}

							}
, 							{
								"box" : 								{
									"comment" : "",
									"id" : "obj-1",
									"index" : 1,
									"maxclass" : "outlet",
									"numinlets" : 1,
									"numoutlets" : 0,
									"patching_rect" : [ 61.0, 301.0, 30.0, 30.0 ],
									"style" : ""
								}

							}
 ],
						"lines" : [ 							{
								"patchline" : 								{
									"destination" : [ "obj-6", 0 ],
									"source" : [ "obj-4", 0 ]
								}

							}
, 							{
								"patchline" : 								{
									"destination" : [ "obj-7", 0 ],
									"source" : [ "obj-6", 0 ]
								}

							}
, 							{
								"patchline" : 								{
									"destination" : [ "obj-8", 0 ],
									"source" : [ "obj-7", 0 ]
								}

							}
, 							{
								"patchline" : 								{
									"destination" : [ "obj-1", 0 ],
									"source" : [ "obj-8", 0 ]
								}

							}
 ],
						"color" : [ 1.0, 1.0, 1.0, 0.89 ],
						"elementcolor" : [ 0.784314, 0.145098, 0.023529, 1.0 ],
						"accentcolor" : [ 1.0, 1.0, 1.0, 1.0 ],
						"selectioncolor" : [ 0.862745, 0.870588, 0.878431, 1.0 ],
						"textcolor" : [ 0.52549, 0.062745, 0.003922, 1.0 ],
						"textcolor_inverse" : [ 1.0, 1.0, 1.0, 1.0 ],
						"patchlinecolor" : [ 0.475135, 0.293895, 0.251069, 0.9 ]
					}
,
					"patching_rect" : [ 4.0, -17.0, 69.0, 19.0 ],
					"saved_object_attributes" : 					{
						"accentcolor" : [ 1.0, 1.0, 1.0, 1.0 ],
						"color" : [ 1.0, 1.0, 1.0, 0.89 ],
						"description" : "",
						"digest" : "",
						"elementcolor" : [ 0.784314, 0.145098, 0.023529, 1.0 ],
						"fontname" : "Lato Italic",
						"globalpatchername" : "",
						"patchlinecolor" : [ 0.475135, 0.293895, 0.251069, 0.9 ],
						"selectioncolor" : [ 0.862745, 0.870588, 0.878431, 1.0 ],
						"style" : "",
						"tags" : "",
						"textcolor" : [ 0.52549, 0.062745, 0.003922, 1.0 ],
						"textcolor_inverse" : [ 1.0, 1.0, 1.0, 1.0 ]
					}
,
					"style" : "",
					"text" : "p start"
				}

			}
, 			{
				"box" : 				{
					"autofit" : 1,
					"forceaspect" : 1,
					"id" : "obj-2",
					"maxclass" : "fpic",
					"numinlets" : 1,
					"numoutlets" : 1,
					"outlettype" : [ "jit_matrix" ],
					"patching_rect" : [ 4.0, 9.0, 177.0, 48.766937 ],
					"pic" : "icon.png",
					"presentation" : 1,
					"presentation_rect" : [ 24.0, 6.0, 177.0, 48.766937 ]
				}

			}
 ],
		"lines" : [ 			{
				"patchline" : 				{
					"destination" : [ "obj-2", 0 ],
					"hidden" : 1,
					"source" : [ "obj-3", 0 ]
				}

			}
 ],
		"dependency_cache" : [ 			{
				"name" : "icon.png",
				"bootpath" : "~/Documents/Max 7/Packages/MMixte/extras",
				"patcherrelativepath" : "../extras",
				"type" : "PNG ",
				"implicit" : 1
			}
 ],
		"autosave" : 0,
		"patchlinecolor" : [ 0.643137, 0.658824, 0.592157, 0.9 ]
	}

}
