{
	"patcher" : 	{
		"fileversion" : 1,
		"appversion" : 		{
			"major" : 8,
			"minor" : 1,
			"revision" : 2,
			"architecture" : "x64",
			"modernui" : 1
		}
,
		"classnamespace" : "box",
		"rect" : [ 244.0, 45.0, 749.0, 376.0 ],
		"bglocked" : 0,
		"openinpresentation" : 0,
		"default_fontsize" : 12.0,
		"default_fontface" : 0,
		"default_fontname" : "Arial",
		"gridonopen" : 1,
		"gridsize" : [ 15.0, 15.0 ],
		"gridsnaponopen" : 1,
		"objectsnaponopen" : 1,
		"statusbarvisible" : 2,
		"toolbarvisible" : 1,
		"lefttoolbarpinned" : 0,
		"toptoolbarpinned" : 0,
		"righttoolbarpinned" : 0,
		"bottomtoolbarpinned" : 0,
		"toolbars_unpinned_last_save" : 15,
		"tallnewobj" : 0,
		"boxanimatetime" : 200,
		"enablehscroll" : 1,
		"enablevscroll" : 1,
		"devicewidth" : 0.0,
		"description" : "",
		"digest" : "",
		"tags" : "",
		"style" : "velvet",
		"subpatcher_template" : "",
		"boxes" : [ 			{
				"box" : 				{
					"bgcolor" : [ 0.133333, 0.184314, 0.254902, 1.0 ],
					"color" : [ 0.52549, 0.576471, 0.647059, 1.0 ],
					"fontface" : 0,
					"fontname" : "Arial",
					"fontsize" : 12.0,
					"id" : "obj-7",
					"maxclass" : "newobj",
					"numinlets" : 1,
					"numoutlets" : 1,
					"outlettype" : [ "" ],
					"patching_rect" : [ 229.75000399999999, 75.0, 77.0, 22.0 ],
					"text" : "loadmess 64",
					"textcolor" : [ 0.937255, 0.92549, 0.807843, 1.0 ]
				}

			}
, 			{
				"box" : 				{
					"bgcolor" : [ 1.0, 1.0, 1.0, 0.01 ],
					"bubble" : 1,
					"id" : "obj-6",
					"linecount" : 2,
					"maxclass" : "comment",
					"numinlets" : 1,
					"numoutlets" : 0,
					"patching_rect" : [ 236.0, 316.5, 257.5, 37.0 ],
					"text" : "Send new-event works in combination with mmx.event_counter.",
					"textcolor" : [ 0.133333, 0.184314, 0.254902, 1.0 ]
				}

			}
, 			{
				"box" : 				{
					"bgcolor" : [ 1.0, 1.0, 1.0, 0.01 ],
					"bubble" : 1,
					"bubblepoint" : 0.6,
					"id" : "obj-5",
					"linecount" : 11,
					"maxclass" : "comment",
					"numinlets" : 1,
					"numoutlets" : 0,
					"patching_rect" : [ 335.0, 11.0, 382.0, 158.0 ],
					"text" : "Pedal-device: sets the desired midi device to use;\npedal-direction: sets if the event must be triggered when receiving 0 or 127 (the direction can be switched on the midi pedal). Set 1 to use the value 127 (pedal pressed); Set 0 to use the value 0 (pedal released);\nPedal-mode: set 1 for test; set 2 for playing. Mode can switch also by clicking directly on the interface.\nPedal-gate-delay: sets the delay time to avoid the sending of other bangs by the pedal. After the delay time selected, the pedal comes back to send data.\nLoadmess 64: load controller number",
					"textcolor" : [ 0.133333, 0.184314, 0.254902, 1.0 ]
				}

			}
, 			{
				"box" : 				{
					"bgcolor" : [ 1.0, 1.0, 1.0, 0.01 ],
					"bubble" : 1,
					"bubblepoint" : 0.6,
					"id" : "obj-4",
					"linecount" : 4,
					"maxclass" : "comment",
					"numinlets" : 1,
					"numoutlets" : 0,
					"patching_rect" : [ 172.5, 237.0, 412.0, 64.0 ],
					"text" : "The sustain pedal sends 0 and 127 on the midi controller 64. This is a classical way to send triggers from the stage for executing the computer score. The delay time expressed in ms works as gate for the following pedal action; it applies to avoid any accidental triggering.",
					"textcolor" : [ 0.133333, 0.184314, 0.254902, 1.0 ]
				}

			}
, 			{
				"box" : 				{
					"bgcolor" : [ 1.0, 1.0, 1.0, 0.01 ],
					"bubble" : 1,
					"bubblepoint" : 0.6,
					"id" : "obj-1",
					"linecount" : 4,
					"maxclass" : "comment",
					"numinlets" : 1,
					"numoutlets" : 0,
					"patching_rect" : [ 172.5, 171.0, 410.0, 64.0 ],
					"text" : "The sustain pedal sends 0 and 127 on midi controller number 64. It is a classical way to send triggers from the stage for executing the computer score. The delay time expressed in ms works as gate for the following pedal action, it works to avoid any accidental trigger.",
					"textcolor" : [ 0.133333, 0.184314, 0.254902, 1.0 ]
				}

			}
, 			{
				"box" : 				{
					"color" : [ 0.52549, 0.576471, 0.647059, 1.0 ],
					"fontface" : 0,
					"fontname" : "Arial",
					"fontsize" : 12.0,
					"id" : "obj-2",
					"maxclass" : "newobj",
					"numinlets" : 1,
					"numoutlets" : 1,
					"outlettype" : [ "" ],
					"patching_rect" : [ 113.75000399999999, 119.5, 85.0, 22.0 ],
					"text" : "loadmess 800",
					"textcolor" : [ 0.937255, 0.92549, 0.807843, 1.0 ]
				}

			}
, 			{
				"box" : 				{
					"color" : [ 0.52549, 0.576471, 0.647059, 1.0 ],
					"fontface" : 0,
					"fontname" : "Arial",
					"fontsize" : 12.0,
					"id" : "obj-31",
					"maxclass" : "newobj",
					"numinlets" : 0,
					"numoutlets" : 1,
					"outlettype" : [ "" ],
					"patching_rect" : [ 88.50000399999999, 92.5, 108.0, 22.0 ],
					"text" : "r pedal-mode",
					"textcolor" : [ 0.937255, 0.92549, 0.807843, 1.0 ]
				}

			}
, 			{
				"box" : 				{
					"color" : [ 0.52549, 0.576471, 0.647059, 1.0 ],
					"fontface" : 0,
					"fontname" : "Arial",
					"fontsize" : 12.0,
					"id" : "obj-28",
					"maxclass" : "newobj",
					"numinlets" : 0,
					"numoutlets" : 1,
					"outlettype" : [ "" ],
					"patching_rect" : [ 63.25000399999999, 66.0, 106.0, 22.0 ],
					"text" : "r pedal-direction",
					"textcolor" : [ 0.937255, 0.92549, 0.807843, 1.0 ]
				}

			}
, 			{
				"box" : 				{
					"color" : [ 0.52549, 0.576471, 0.647059, 1.0 ],
					"fontface" : 0,
					"fontname" : "Arial",
					"fontsize" : 12.0,
					"id" : "obj-27",
					"maxclass" : "newobj",
					"numinlets" : 0,
					"numoutlets" : 1,
					"outlettype" : [ "" ],
					"patching_rect" : [ 38.000003999999997, 38.0, 92.0, 22.0 ],
					"text" : "r pedal-device",
					"textcolor" : [ 0.937255, 0.92549, 0.807843, 1.0 ]
				}

			}
, 			{
				"box" : 				{
					"color" : [ 0.52549, 0.576471, 0.647059, 1.0 ],
					"fontface" : 0,
					"fontname" : "Arial",
					"fontsize" : 12.0,
					"id" : "obj-24",
					"maxclass" : "newobj",
					"numinlets" : 0,
					"numoutlets" : 1,
					"outlettype" : [ "" ],
					"patching_rect" : [ 210.75000399999999, 119.5, 108.0, 22.0 ],
					"text" : "r pedal-gate-delay",
					"textcolor" : [ 0.937255, 0.92549, 0.807843, 1.0 ]
				}

			}
, 			{
				"box" : 				{
					"bgcolor" : [ 0.133333, 0.184314, 0.254902, 1.0 ],
					"color" : [ 0.52549, 0.576471, 0.65098, 1.0 ],
					"fontname" : "Helvetica Neue",
					"fontsize" : 12.0,
					"id" : "obj-20",
					"maxclass" : "newobj",
					"numinlets" : 1,
					"numoutlets" : 0,
					"patching_rect" : [ 139.0, 324.0, 85.0, 22.0 ],
					"text" : "s new-event",
					"textcolor" : [ 0.937255, 0.92549, 0.807843, 1.0 ]
				}

			}
, 			{
				"box" : 				{
					"bgcolor" : [ 0.133333, 0.184314, 0.254902, 1.0 ],
					"color" : [ 0.52549, 0.576471, 0.65098, 1.0 ],
					"fontname" : "Helvetica Neue",
					"fontsize" : 12.0,
					"id" : "obj-3",
					"maxclass" : "newobj",
					"numinlets" : 1,
					"numoutlets" : 0,
					"patching_rect" : [ 38.000003999999997, 324.0, 74.0, 22.0 ],
					"text" : "s pedal-test",
					"textcolor" : [ 0.937255, 0.92549, 0.807843, 1.0 ]
				}

			}
, 			{
				"box" : 				{
					"bgmode" : 0,
					"border" : 0,
					"clickthrough" : 0,
					"enablehscroll" : 0,
					"enablevscroll" : 0,
					"id" : "obj-19",
					"lockeddragscroll" : 0,
					"maxclass" : "bpatcher",
					"name" : "mmx.midi-pedal.maxpat",
					"numinlets" : 5,
					"numoutlets" : 2,
					"offset" : [ 0.0, 0.0 ],
					"outlettype" : [ "", "" ],
					"patching_rect" : [ 38.000003999999997, 178.0, 120.0, 132.0 ],
					"presentation" : 1,
					"presentation_rect" : [ 991.0, 5.0, 119.0, 131.0 ],
					"viewvisibility" : 1
				}

			}
 ],
		"lines" : [ 			{
				"patchline" : 				{
					"destination" : [ "obj-20", 0 ],
					"source" : [ "obj-19", 1 ]
				}

			}
, 			{
				"patchline" : 				{
					"destination" : [ "obj-3", 0 ],
					"source" : [ "obj-19", 0 ]
				}

			}
, 			{
				"patchline" : 				{
					"destination" : [ "obj-19", 3 ],
					"source" : [ "obj-2", 0 ]
				}

			}
, 			{
				"patchline" : 				{
					"destination" : [ "obj-19", 3 ],
					"source" : [ "obj-24", 0 ]
				}

			}
, 			{
				"patchline" : 				{
					"destination" : [ "obj-19", 0 ],
					"source" : [ "obj-27", 0 ]
				}

			}
, 			{
				"patchline" : 				{
					"destination" : [ "obj-19", 1 ],
					"source" : [ "obj-28", 0 ]
				}

			}
, 			{
				"patchline" : 				{
					"destination" : [ "obj-19", 2 ],
					"source" : [ "obj-31", 0 ]
				}

			}
, 			{
				"patchline" : 				{
					"destination" : [ "obj-19", 4 ],
					"midpoints" : [ 239.25000399999999, 166.5, 148.50000399999999, 166.5 ],
					"source" : [ "obj-7", 0 ]
				}

			}
 ],
		"parameters" : 		{
			"obj-19::obj-16" : [ "live.button", "live.button", 0 ],
			"obj-19::obj-28" : [ "live.text", "live.text", 0 ],
			"obj-19::obj-25" : [ "live.button[2]", "live.button", 0 ],
			"parameterbanks" : 			{

			}

		}
,
		"dependency_cache" : [ 			{
				"name" : "mmx.midi-pedal.maxpat",
				"bootpath" : "~/Documents/Max 8/Packages/MMixte/patchers",
				"patcherrelativepath" : "../patchers",
				"type" : "JSON",
				"implicit" : 1
			}
 ],
		"autosave" : 0,
		"bgcolor" : [ 0.133333, 0.184314, 0.254902, 1.0 ],
		"editing_bgcolor" : [ 1.0, 1.0, 1.0, 1.0 ]
	}

}
